/* ***************
Desc: Installation script
Modified version of Chris Pederick installscript from WD.
Author: Jed Brown (jedbro@gmx.net)
Version: 0.2
Last modified: July 27nd, 2003
****************** */
const author              = "Kevin Bowes";
const displayName         = "Xul MSN Messenger";
const name                = "/sykosoft/msnmsgr";
const version             = "0.5.0";
var contentFlag           = CONTENT | PROFILE_CHROME;
var skinFlag              = SKIN | PROFILE_CHROME;
var localeFlag            = LOCALE | PROFILE_CHROME;
var error                 = null;
var folder                = getFolder("Profile", "chrome/msnmsgr");
var existsInApplication   = File.exists(getFolder("chrome", "msnmsgr"));
var existsInProfile       = File.exists(folder);
const SUCCESS_MESSAGE     = "Please restart the application.";

initInstall(displayName, name, version);

// If the extension exists in the application folder or it doesn't exist in the profile folder and the user doesn't want it installed to the profile folder
if(existsInApplication || (!existsInProfile && !confirm("Do you want to install the extension into your profile folder?\n(Cancel will install into the application folder)")))
{
    folder      = getFolder("chrome", "msnmsgr");
    contentFlag = CONTENT | DELAYED_CHROME;
    skinFlag    = SKIN | DELAYED_CHROME;
    localeFlag  = LOCALE | DELAYED_CHROME;
}

setPackageFolder(folder);
error = addDirectory(author, version, "msnmsgr", folder, null);

// If adding the JAR file succeeded
if(error == SUCCESS)
{
    registerChrome(contentFlag, getFolder(folder, "content/msnmsgr"));
    registerChrome(skinFlag,    getFolder(folder, "skin"));
    registerChrome(localeFlag,  getFolder(folder, "locale/en-US/msnmsgr"));

    error = performInstall();

    // If the install failed
    if(error == SUCCESS || error == 999)
    {
    	alert(displayName+" "+version+" has been succesfully installed.\n" + SUCCESS_MESSAGE);
    }else{
	alert("Install failed. Error code:" + error);
	cancelInstall(error);
    }
}
else
{
	alert("The installation of the extension failed.\n" + error + "\n Failed to create " + "msnmsgr" + " \n"
	      +"Make sure you have the correct permissions");
	cancelInstall(error);
}
